﻿' COPYRIGHT: (c), Symmetric Research, 2016-2017
'
' Source code for the actions of the USBxCH VbCustom form which reads BIN
' data from a SrPipe, performs custom processing, and outputs it to the
' SrPipe specified on the command line.
'
Imports Microsoft.VisualBasic
Imports System                  ' needed for Math.Abs, etc


Public Module VbAbs

    ' Constants and global variables:
    ' The program name MUST be the name of the executable eg VbAbs

    Private Const ProgramName As String = "VbAbs"
    
    Public Function Main(ByVal cmdArgs() As String) As Integer

        Dim hInputPipe As Integer
        Dim hOutputPipe As Integer
        Dim NextProgramName As String
        Dim InputPipeName As String
        Dim OutputPipeName As String
        Dim Pt As BinLayout

        ' Initialize point.

        Pt = New BinLayout


        ' Open report file and announce program.

        VbCustomReportOpen( ProgramName )
        VbCustomReportPrint( ProgramName & " starting" & vbCrLf )


        ' Process command line for next program name.

        If (cmdArgs.Length = 0) Or (cmdArgs.Length > 1) Then
            VbCustomReportPrint( "Bad command line, must be VbAbs NextProgram" & vbCrLf )
            Return 1    ' exit with failure
        Else
            NextProgramName = cmdArgs(0)
        End If


        ' Make pipe names.

        InputPipeName  = REQUIRED_PIPE_PREFIX & ProgramName
        OutputPipeName = REQUIRED_PIPE_PREFIX & NextProgramName


        ' Open the pipes.

        hInputPipe  = VbCustomOpenInputPipe( InputPipeName )
        hOutputPipe = VbCustomOpenOutputPipe( OutputPipeName )


        ' Loop reading from input pipe.

        While VbCustomReadInputPipe( hInputPipe, Pt )


            ' Do any processing here ...
            ' This example takes the absolute value on all analog channels.


            ' Process BIN record.

            Pt.Analog0 = Math.Abs( Pt.Analog0 )
            Pt.Analog1 = Math.Abs( Pt.Analog1 )
            Pt.Analog2 = Math.Abs( Pt.Analog2 )
            Pt.Analog3 = Math.Abs( Pt.Analog3 )
            Pt.Analog4 = Math.Abs( Pt.Analog4 )
            Pt.Analog5 = Math.Abs( Pt.Analog5 )
            Pt.Analog6 = Math.Abs( Pt.Analog6 )
            Pt.Analog7 = Math.Abs( Pt.Analog7 )


            ' Pass on to the output pipe.

            If VbCustomWriteOutputPipe( hOutputPipe, Pt ) = 0 Then
                Exit While
            End If

        End While
        

        ' Close the named pipes.

        VbCustomCloseInputPipe( hInputPipe )
        VbCustomCloseOutputPipe( hOutputPipe )


        ' Exit with success

        VbCustomReportPrint( ProgramName & " ending" & vbCrLf )

        Return 0
        
    End Function

End Module
