import os

'''
Plugin handler for the Sr2Sc (Symmetric Research to SeisComp) plugin.
The parameter defaults are set here.  Their values can be changed by
the user with the scconfig graphical configuration utility.  The final
parameter values are combined with the plugins.ini.tpl and
seedlink_plugin.tpl templates to generate the command line and ini info
used by sr2sc.
'''
class SeedlinkPluginHandler:
  # Create defaults
  def __init__(self): pass

  # Check and set the parameter defaults
  def push(self, seedlink):

    try: station = seedlink.param('sources.sr2sc.station')
    except: station = "SRST"
    seedlink.setParam('sources.sr2sc.station', station)
    
    try: samplerate = seedlink.param('sources.sr2sc.samplerate')
    except: samplerate = 20
    seedlink.setParam('sources.sr2sc.samplerate', samplerate)
    
    try: c0enable = seedlink.param('sources.sr2sc.c0enable')
    except: c0enable = 0
    seedlink.setParam('sources.sr2sc.c0enable', c0enable)
    
    try: c1enable = seedlink.param('sources.sr2sc.c1enable')
    except: c1enable = 0
    seedlink.setParam('sources.sr2sc.c1enable', c1enable)
    
    try: c2enable = seedlink.param('sources.sr2sc.c2enable')
    except: c2enable = 0
    seedlink.setParam('sources.sr2sc.c2enable', c2enable)
    
    try: c3enable = seedlink.param('sources.sr2sc.c3enable')
    except: c3enable = 0
    seedlink.setParam('sources.sr2sc.c3enable', c3enable)
    
    try: c4enable = seedlink.param('sources.sr2sc.c4enable')
    except: c4enable = 0
    seedlink.setParam('sources.sr2sc.c4enable', c4enable)
    
    try: c5enable = seedlink.param('sources.sr2sc.c5enable')
    except: c5enable = 0
    seedlink.setParam('sources.sr2sc.c5enable', c5enable)
    
    try: c6enable = seedlink.param('sources.sr2sc.c6enable')
    except: c6enable = 0
    seedlink.setParam('sources.sr2sc.c6enable', c6enable)
    
    try: c7enable = seedlink.param('sources.sr2sc.c7enable')
    except: c7enable = 0
    seedlink.setParam('sources.sr2sc.c7enable', c7enable)
    
    try: timequalitycheck = seedlink.param('sources.sr2sc.timequalitycheck')
    except: timequalitycheck = 0
    seedlink.setParam('sources.sr2sc.timequalitycheck', timequalitycheck)
    
    try: verbosity = seedlink.param('sources.sr2sc.verbosity')
    except: verbosity = 3
    seedlink.setParam('sources.sr2sc.verbosity', verbosity)
    
    # return a key
    seedlink.setParam('sources.sr2sc.station', seedlink.sta)
    return seedlink.net + "." + seedlink.sta


  # Flush does nothing
  def flush(self, seedlink):
    pass
