<!-- Streams file HQ100 for 100Hz data from SR USBxCH data acquisition system.

     For USBxCH systems, there are 16 available channels.
	 the first 8 channels are analog data (for the USB4CH 4-7 will be zero).
	 the next 4 channels (8-11) are digital data.
	 the remaining 4 channels (12-15) are special and include PPS,
	    temperature, and power.

     The preconfigured SR_HQ100 stream is provided.  To use it, specify its
         proc name when configuring the sr2sc source for the seedlink module.
     This stream is designated as HN stream where
	 H means the station is High broadband (80-250 sps)
	 N means the station is an accelerometer (or geophone)
	    (change the N to H if you are using a High gain seismometer)
     It names the channels C0 through CF and the resulting streams will
	  have names like SR.SRHQ.C0.HNZ.
 -->
<!-- Set up an HN stream with Z channels  -->
  <proc name="SR_HQ100">
    <tree>
      <input name="C0" channel="Z" location="C0" rate="100"/>
      <input name="C1" channel="Z" location="C1" rate="100"/>
      <input name="C2" channel="Z" location="C2" rate="100"/>
      <input name="C3" channel="Z" location="C3" rate="100"/>
      <input name="C4" channel="Z" location="C4" rate="100"/>
      <input name="C5" channel="Z" location="C5" rate="100"/>
      <input name="C6" channel="Z" location="C6" rate="100"/>
      <input name="C7" channel="Z" location="C7" rate="100"/>
      <input name="C8" channel="Z" location="C8" rate="100"/>
      <input name="C9" channel="Z" location="C9" rate="100"/>
      <input name="CA" channel="Z" location="CA" rate="100"/>
      <input name="CB" channel="Z" location="CB" rate="100"/>
      <input name="CC" channel="Z" location="CC" rate="100"/>
      <input name="CD" channel="Z" location="CD" rate="100"/>
      <input name="CE" channel="Z" location="CE" rate="100"/>
      <input name="CF" channel="Z" location="CF" rate="100"/>
      <node stream="HN"/>
    </tree>
  </proc>
